#Region "Copyright Syncfusion Inc. 2001 - 2005"
'
'  Copyright Syncfusion Inc. 2001 - 2005. All rights reserved.
'
'  Use of this code is subject to the terms of our license.
'  A copy of the current license can be obtained at any time by e-mailing
'  licensing@syncfusion.com. Re-distribution in any form is strictly
'  prohibited. Any infringement will be prosecuted under applicable laws. 
'
#End Region

Imports Microsoft.VisualBasic
Imports System
Imports System.Drawing
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Data
Imports Syncfusion.ExcelRW


Namespace EssentialXlsIOSamples
    ''' <summary>
    ''' Summary description for Form1.
    ''' </summary>
    Public Class Form1 : Inherits System.Windows.Forms.Form
        Private WithEvents button1 As System.Windows.Forms.Button
        ''' <summary>
        ''' Required designer variable.
        ''' </summary>
        Private components As System.ComponentModel.Container = Nothing

        Public Sub New()
            '
            ' Required for Windows Form Designer support
            '
            InitializeComponent()

            '
            ' TODO: Add any constructor code after InitializeComponent call
            '
        End Sub

        ''' <summary>
        ''' Clean up any resources being used.
        ''' </summary>
        Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
            If disposing Then
                If Not components Is Nothing Then
                    components.Dispose()
                End If
            End If
            MyBase.Dispose(disposing)
        End Sub

#Region "Windows Form Designer generated code"
        ''' <summary>
        ''' Required method for Designer support - do not modify
        ''' the contents of this method with the code editor.
        ''' </summary>
        Private Sub InitializeComponent()
            Me.button1 = New System.Windows.Forms.Button
            Me.SuspendLayout()
            ' 
            ' button1
            ' 
            Me.button1.Location = New System.Drawing.Point(88, 32)
            Me.button1.Name = "button1"
            Me.button1.TabIndex = 0
            Me.button1.Text = "Create XLS"
            '			Me.button1.Click += New System.EventHandler(Me.button1_Click);
            ' 
            ' Form1
            ' 
            Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
            Me.ClientSize = New System.Drawing.Size(264, 86)
            Me.Controls.Add(Me.button1)
            Me.Name = "Form1"
            Me.Text = "Essential XlsIO Samples"
            Me.ResumeLayout(False)

        End Sub
#End Region

        ''' <summary>
        ''' The main entry point for the application.
        ''' </summary>
        <STAThread()> _
        Shared Sub Main()
            Application.Run(New Form1)
        End Sub

        Private Sub button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles button1.Click
            'New instance of XlsIO is created.[Equivalent to launching MS Excel with no workbooks open].
            'The instantiation process consists of two steps.

            'Step 1 : Instantiate the spreadsheet creation engine.
            Dim excelEngine As excelEngine = New excelEngine
            'Step 2 : Instantiate the excel application object.
            Dim application As IApplication = excelEngine.Excel

            'A new workbook is created.[Equivalent to creating a new workbook in MS Excel]
            'The new workbook will have 3 worksheets
            Dim workbook As IWorkbook = excelEngine.Excel.Workbooks.Create(1)
            'The first worksheet object in the worksheets collection is accessed.
            Dim sheet As IWorksheet = workbook.Worksheets(0)

            ' setting the range
            Dim mR As Syncfusion.ExcelRW.IRange
            mR = sheet.Range(2, 2, 10, 10)

            ' Setting Border LineStyles
            mR.Borders.Item(ExcelBordersIndex.EdgeBottom).LineStyle = ExcelLineStyle.Thin
            mR.Borders.Item(ExcelBordersIndex.EdgeTop).LineStyle = ExcelLineStyle.Thin
            mR.Borders.Item(ExcelBordersIndex.EdgeLeft).LineStyle = ExcelLineStyle.Thin
            mR.Borders.Item(ExcelBordersIndex.EdgeRight).LineStyle = ExcelLineStyle.Thin
            ' Setting Only the Box-like border for the whole range
            sheet.Range(3, 2, 10, 10).Borders.Item(ExcelBordersIndex.EdgeTop).LineStyle = ExcelLineStyle.None
            sheet.Range(2, 2, 9, 10).Borders.Item(ExcelBordersIndex.EdgeBottom).LineStyle = ExcelLineStyle.None
            sheet.Range(2, 3, 10, 10).Borders.Item(ExcelBordersIndex.EdgeLeft).LineStyle = ExcelLineStyle.None
            sheet.Range(2, 2, 10, 9).Borders.Item(ExcelBordersIndex.EdgeRight).LineStyle = ExcelLineStyle.None

            ' Saving the file.
            workbook.SaveAs("Sample.xls")

            'Close the workbook.
            workbook.Close()

            'No exception will be thrown if there are unsaved workbooks.
            excelEngine.ThrowNotSavedOnDestroy = False
            excelEngine.Dispose()

            'Message box confirmation to view the created spreadsheet.
            If MessageBox.Show("Do you want to view the workbook?", "Workbook has been created", MessageBoxButtons.YesNo, MessageBoxIcon.Information) = DialogResult.Yes Then
                'Launching the Excel file using the default Application.[MS Excel Or Free ExcelViewer]
                System.Diagnostics.Process.Start("Sample.xls")
                'Exit
                Me.Close()
            Else
                ' Exit
                Me.Close()
            End If

        End Sub
    End Class
End Namespace
